ShamrockTrainer Login

Emp ID #:
Last 4 of SSN:

Some training courses in the ShamrockTrainer may require the Adobe Flash player (version 10 or above). If you are having difficulty viewing the training courses, please verify that you have the Adobe Flash player installed by clicking the logo below.


Also, please ensure that you have any pop-up blocking software set to allow pop-ups from www.shamrocktrainer.com.



Copyright © 2002-2021 FlexLS, Inc. All Rights Reserved. Unauthorized reproduction or re-use of any graphics, applications, information, items, or technology found on this site is strictly prohibited.